<html devsite><head>
    <title>3.5 毫米耳机插孔：设备规范</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>为了实现与 <a href="plug-headset-spec.html">3.5 毫米插头耳机规范</a>的兼容性，配备 4 导体 3.5 毫米音频插孔的设备必须符合以下规范。有关 Android 兼容性要求，请参阅 <a href="/compatibility/android-cdd.html#7_8_audio">Android CDD</a> 的“模拟音频端口”部分。<em></em></p>

<h2 id="headset_jack_functions">功能</h2>

<table>
 <tbody><tr>
    <th>功能</th>
    <th>设备支持</th>
 </tr>
 <tr>
    <td>立体声音频输出</td>
    <td>必需</td>
 </tr>
 <tr>
    <td>音频输入（麦克风）</td>
    <td>必需</td>
 </tr>
 <tr>
    <td>接地</td>
    <td>必需</td>
 </tr>
</tbody></table>

<h2 id="software_mapping">软件映射</h2>

<table>
 <tbody><tr>
    <th style="width:33%">功能</th>
    <th style="width:33%">设备支持</th>
    <th style="width:33%">说明</th>
 </tr>
 <tr>
    <td>功能 A 控件事件</td>
    <td>必需</td>
    <td>输入事件：<code>KEY_MEDIA</code>
<p>Android 按键：<code>KEYCODE_MEDIA_PLAY_PAUSE<code></code></code></p></td>
 </tr>
 <tr>
    <td>功能 D 控件事件</td>
    <td>必需</td>
    <td>输入事件：<code>KEY_VOICECOMMAND</code>
<p>Android 按键：<code>KEYCODE_VOICE_ASSIST</code></p></td>
 </tr>
 <tr>
    <td>功能 B 控件事件</td>
    <td>必需</td>
    <td>输入事件：<code>KEY_VOLUMEUP</code>
<p>Android 按键：<code>VOLUME_UP</code></p></td>
 </tr>
 <tr>
    <td>功能 C 控件事件</td>
    <td>必需</td>
    <td>输入事件：<code>KEY_VOLUMEDOWN</code>
<p>Android 按键：<code>VOLUME_DOWN</code></p></td>
 </tr>
 <tr>
    <td>耳机插入检测</td>
    <td>必需</td>
    <td>输入事件：<code>SW_JACK_PHYSICAL_INSERT 7</code></td>
 </tr>
 <tr>
    <td rowspan="2">耳机类型检测</td>
    <td>麦克风</td>
    <td>输入事件：<code>SW_MICROPHONE_INSERT 4</code></td>
 </tr>
 <tr>
    <td>无麦克风</td>
    <td>输入事件：<code>SW_HEADPHONE_INSERT 2</code></td>
 </tr>
 <tr>
    <td rowspan="2">耳机扬声器阻抗</td>
    <td>必需耳机（低）</td>
    <td>故障模式用于指示耳机开启相关限制</td>
 </tr>
 <tr>
    <td>必需线路输入（高）</td>
    <td>输入事件：<code>SW_LINEOUT_INSERT 6</code></td>
 </tr>
</tbody></table>

<h2 id="mechanical11">机械</h2>

<table>
 <tbody><tr>
    <th style="width:33%">功能</th>
    <th style="width:33%">设备支持</th>
    <th style="width:33%">说明</th>
 </tr>
 <tr>
    <td>4 导体 3.5 毫米插孔</td>
    <td>必需</td>
    <td></td>
 </tr>
 <tr>
    <td>CTIA 引脚顺序 (LRGM)</td>
    <td>必需</td>
    <td>兼容 3 脚插头和单声道插头</td>
 </tr>
 <tr>
    <td>OMTP 引脚顺序 (LRMG)</td>
    <td>可选，但强烈建议支持</td>
    <td></td>
 </tr>
 <tr>
    <td>耳机检测序列</td>
    <td>必需</td>
    <td>仅当插头上的所有触点接触其相关部分之后才触发插头插入通知（这样可防止因插入缓慢而导致耳机检测不可靠）。</td>
 </tr>
</tbody></table>

<h2 id="electrical12">电气</h2>

<h3 id="general">概述</h3>

<table>
 <tbody><tr>
    <th style="width:33%">功能</th>
    <th style="width:33%">设备支持</th>
    <th style="width:33%">备注</th>
 </tr>
 <tr>
    <td>最大输出电压驱动</td>
    <td>150 毫伏</td>
    <td>&gt;= 150 毫伏（电阻为 32 欧姆）<p>测试条件：EN50332-2</p></td>
 </tr>
 <tr>
    <td>麦克风偏置电阻</td>
    <td>必需</td>
    <td>可以灵活选择所使用的检测方法和麦克风偏置电阻器。需要检测以下指定的所有按钮电阻值范围，并将其与各自的功能相关联</td>
 </tr>
 <tr>
    <td>麦克风偏置电压</td>
    <td>1.8 伏 - 2.9 伏</td>
    <td>可保证与通用麦克风咪头的兼容性。</td>
 </tr>
</tbody></table>

<h3 id="function_impedance_and_threshold_detection">功能阻抗和阈值检测</h3>

<p>设备必须检测配件上的以下电阻梯形。按照上一部分展示的标准电路图（参考耳机测试电路）对配件进行测试，当通过 2.2 千欧电阻器对按钮施加 2.2 伏麦克风偏置电压时，将测量从 MIC 终端到 GND 的总阻抗。这是与按钮检测电路（具有与按钮电阻器并联的麦克风）相同的有效电阻。</p>

<table>
 <tbody><tr>
    <th style="width:40%">按钮阻抗级别</th>
    <th style="width:20%">设备支持</th>
    <th style="width:40%">备注</th>
 </tr>
 <tr>
    <td>不超过 70 欧姆</td>
    <td>必需</td>
    <td>[功能 A]</td>
 </tr>
 <tr>
    <td>110 - 180 欧姆</td>
    <td>必需</td>
    <td>[功能 D]</td>
 </tr>
 <tr>
    <td>210 - 290 欧姆</td>
    <td>必需</td>
    <td>[功能 B]</td>
 </tr>
 <tr>
    <td>360 - 680 欧姆</td>
    <td>必需</td>
    <td>[功能 C]</td>
 </tr>
 </tbody></table>

 <table>
 <tbody><tr>
    <th style="width:40%">耳机扬声器阻抗级别</th>
    <th style="width:20%">设备支持</th>
    <th style="width:40%">备注</th>
 </tr>
 <tr>
    <td>低阈值检测</td>
    <td>必需</td>
    <td>耳机（低）&lt; 1 千欧</td>
 </tr>
 <tr>
    <td>高阈值检测</td>
    <td>必需</td>
    <td>线路输入（高）&gt; 5 千欧</td>
 </tr>
</tbody></table>

 <table>
 <tbody><tr>
    <th style="width:40%">4 段插头检测电阻（第 3 段与第 4 段之间）</th>
    <th style="width:20%">设备支持</th>
    <th style="width:40%">备注</th>
 </tr>
 <tr>
    <td>4 段插头阈值</td>
    <td>必需</td>
    <td>电阻 &gt;= 100 欧姆</td>
 </tr>
 <tr>
    <td>3 段插头阈值</td>
    <td>必需</td>
    <td>电阻 &lt; 100 欧姆</td>
 </tr>
</tbody></table>

</body></html>